
package webservices;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.3.0
 * Generated source version: 2.2
 * 
 */
@WebService(name = "IUserAuthWS", targetNamespace = "http://webservices/")
@XmlSeeAlso({
    ObjectFactory.class
})
public interface IUserAuthWS {


    /**
     * 
     * @param arg0
     * @return
     *     returns boolean
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "saveUser", targetNamespace = "http://webservices/", className = "webservices.SaveUser")
    @ResponseWrapper(localName = "saveUserResponse", targetNamespace = "http://webservices/", className = "webservices.SaveUserResponse")
    @Action(input = "http://webservices/IUserAuthWS/saveUserRequest", output = "http://webservices/IUserAuthWS/saveUserResponse")
    public boolean saveUser(
        @WebParam(name = "arg0", targetNamespace = "")
        User arg0);

    /**
     * 
     * @param arg1
     * @param arg0
     * @return
     *     returns webservices.User
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "getUserByEmailAndPassword", targetNamespace = "http://webservices/", className = "webservices.GetUserByEmailAndPassword")
    @ResponseWrapper(localName = "getUserByEmailAndPasswordResponse", targetNamespace = "http://webservices/", className = "webservices.GetUserByEmailAndPasswordResponse")
    @Action(input = "http://webservices/IUserAuthWS/getUserByEmailAndPasswordRequest", output = "http://webservices/IUserAuthWS/getUserByEmailAndPasswordResponse")
    public User getUserByEmailAndPassword(
        @WebParam(name = "arg0", targetNamespace = "")
        String arg0,
        @WebParam(name = "arg1", targetNamespace = "")
        String arg1);

    /**
     * 
     * @param arg0
     * @return
     *     returns boolean
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "deleteUser", targetNamespace = "http://webservices/", className = "webservices.DeleteUser")
    @ResponseWrapper(localName = "deleteUserResponse", targetNamespace = "http://webservices/", className = "webservices.DeleteUserResponse")
    @Action(input = "http://webservices/IUserAuthWS/deleteUserRequest", output = "http://webservices/IUserAuthWS/deleteUserResponse")
    public boolean deleteUser(
        @WebParam(name = "arg0", targetNamespace = "")
        long arg0);

    /**
     * 
     * @param arg0
     * @return
     *     returns webservices.Jwt
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "generateTokenFromEmail", targetNamespace = "http://webservices/", className = "webservices.GenerateTokenFromEmail")
    @ResponseWrapper(localName = "generateTokenFromEmailResponse", targetNamespace = "http://webservices/", className = "webservices.GenerateTokenFromEmailResponse")
    @Action(input = "http://webservices/IUserAuthWS/generateTokenFromEmailRequest", output = "http://webservices/IUserAuthWS/generateTokenFromEmailResponse")
    public Jwt generateTokenFromEmail(
        @WebParam(name = "arg0", targetNamespace = "")
        String arg0);

    /**
     * 
     * @param arg0
     * @return
     *     returns webservices.User
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "getUserByToken", targetNamespace = "http://webservices/", className = "webservices.GetUserByToken")
    @ResponseWrapper(localName = "getUserByTokenResponse", targetNamespace = "http://webservices/", className = "webservices.GetUserByTokenResponse")
    @Action(input = "http://webservices/IUserAuthWS/getUserByTokenRequest", output = "http://webservices/IUserAuthWS/getUserByTokenResponse")
    public User getUserByToken(
        @WebParam(name = "arg0", targetNamespace = "")
        String arg0);

}
